function BI = example4_fromPhys2Deconv(pars,Fs)
% helper function to obtain (FIR) compensation filter coefficients from
% physical parameters of the measurement system
% Note that for this example ai=1, hence it is an FIR filter.


trials = size(pars,1);
BI = zeros(trials,5);

    for k=1:trials
        bc1 = pars(k,1)*(2*pi*pars(k,3))^2;
        ac1 = [1, 2*pars(k,2)*2*pi*pars(k,3), (2*pi*pars(k,3))^2];

        bc2 =  pars(k,1)*(2*pi*pars(k,5))^2;
        ac2 = [1, 2*pars(k,4)*2*pi*pars(k,5), (2*pi*pars(k,5))^2];

        [bd1,ad1] = impinvar(bc1,ac1,Fs);
        [bd2,ad2] = impinvar(bc2,ac2,Fs);

        b = conv(bd1,bd2); a = conv(ad1,ad2);

        BI(k,:) = a/b(end);
    end

end

