% helper function to set parameter values in propagation schemes
%
% copyright Sascha Eichstaedt (PTB) 2012
%
% S. Eichstdt, A. Link, P. Harris and C. Elster (2012). 
% Efficient implementation of a Monte Carlo method for uncertainty evaluation in dynamic measurements. 
% Metrologia 49, 401-410. 
%
%
% DISCLAIMER : 
% ============
% This software was developed at Physikalisch-Technische Bundesanstalt 
% (PTB). The software is made available "as is" free of cost. PTB assumes 
% no responsibility whatsoever for its use by other parties, and makes no 
% guarantees, expressed or implied, about its quality, reliability, safety,
% suitability or any other characteristic. In no event will PTB be liable 
% for any direct, indirect or consequential damage arising in connection 
% with the use of this software.
%

function varargout = mydeal(defaults,varargin)
   
    varargout = cell(1,nargout);
    
    numPars = numel(defaults) + numel(varargin);
    
    for k=1:nargout
        if numPars >= numel(defaults)+k && ~isempty(varargin{k})
            varargout{k} = varargin{k};
        else
            varargout{k} = defaults{k};
        end
    end    

end
